import { Body, Controller, Delete, Get, Post, Put } from '@nestjs/common';
import { CarreraProgramaService } from './carrera-programa.service';
import { CarreraProgramaCreateDto } from './dto/carrera-programa-create.dto';
import { CarreraProgramaUpdateDto } from './dto/carrera-programa-update.dto';

@Controller('carrera-programa')
export class CarreraProgramaController {
  constructor(private carreraProgramaService: CarreraProgramaService) {}

  @Post()
  create(@Body() body: CarreraProgramaCreateDto) {
    return this.carreraProgramaService.create(
      body.id_carrera,
      body.id_programa,
    );
  }

  // terminar delte 
  @Delete()
  delete() {}

  @Get()
  get() {
    return this.carreraProgramaService.findAll();
  }

  @Put()
  update(@Body() body: CarreraProgramaUpdateDto) {
    return this.carreraProgramaService.update(body);
  }
}
