import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { CarreraPrograma } from '../../carrera-programa/entity/carrera-programa.entity';
import { Institucion } from '../../institucion/entity/institucion.entity';
import { Usuario } from '../../usuario/entity/usuario.entity';

@Entity()
export class Carrera {
  @PrimaryGeneratedColumn()
  id_carrera: number;

  @Column({ type: String, nullable: false, length: 150 })
  carrera: string;

  @ManyToOne(() => Institucion, (institucion) => institucion.carreras)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @OneToMany(
    () => CarreraPrograma,
    (carreraPrograma) => carreraPrograma.carrera,
  )
  carreraProgramas: CarreraPrograma[];

  @OneToMany(() => Usuario, (usuario) => usuario.carrera)
  usuarios: Usuario[];
}
