import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { CarritoService } from './carrito.service';
import { CarritoCreateDto } from './dto/carrito-create.dto';
import { CarritoUpdateDto } from './dto/carrito-update.dto';
import { CarritoGetDto } from './dto/carrtio-get-dto';

@Controller('carrito')
export class CarritoController {
  constructor(private carritoService: CarritoService) {}

  @Post()
  create(@Body() body: CarritoCreateDto) {
    return this.carritoService.create(
      body.id_tipo_carrito,
      body.id_modulo,
      body.carrito,
    );
  }

  @Get()
  get() {
    return this.carritoService.findAll();
  }

  // Crear dto que solo espere el campo id_carrito
  @Get('carrito')
  carrito(@Query() query: CarritoGetDto) {
    return this.carritoService.findById(Number(query.id_carrito));
  }

  @Get('carritos')
  carritos(@Query() query: CarritoGetDto) {
    return this.carritoService.findByIdModulo(
      Number(query.pagina),
      Number(query.id_modulo),
      Number(query.id_tipo_carrito),
      query.activo === 'true',
    );
  }

  @Get('carritoInstitucion')
  carritosInstitucion() {}

  @Put()
  update(@Body() body: CarritoUpdateDto) {
    return this.carritoService.update(body);
  }
}
