import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CarritoController } from './carrito.controller';
import { CarritoService } from './carrito.service';
import { Carrito } from './entity/carrito.entity';
import { InstitucionTipoCarritoModule } from 'src/institucion-tipo-carrito/institucion-tipo-carrito.module';
import { ModuloModule } from 'src/modulo/modulo.module';
@Module({
  imports: [
    TypeOrmModule.forFeature([Carrito]),
    InstitucionTipoCarritoModule,
    ModuloModule,
  ],
  controllers: [CarritoController],
  providers: [CarritoService],
})
export class CarritoModule {}
