import { Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { Equipo } from './equipo.entity';
import { TipoEntrada } from '../../tipo-entrada/entity/tipo-entrada.entity';

@Entity()
export class EquipoTipoEntrada {
  @PrimaryGeneratedColumn()
  id_equipo_entrada: number;

  @ManyToOne(() => Equipo, (equipo) => equipo.equipoTipoEntradas)
  @JoinColumn({ name: 'id_equipo' })
  equipo: Equipo;

  @ManyToOne(() => TipoEntrada, (tipoEntrada) => tipoEntrada.equiposTipoEntrada)
  @JoinColumn({ name: 'id_tipo_entrada' })
  tipoEntrada: TipoEntrada;
}
