import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Equipo } from './entity/equipo.entity';

@Injectable()
export class EquipoService {
  constructor(
    @InjectRepository(Equipo) private repository: Repository<Equipo>,
  ) {}

  async create(
    equipo: string,
    numero_inventario: string,
    numero_serie: string,
    prestado: boolean,
    id_carrito: number,
    id_programa: number,
    id_status: number,
  ) {}

  findAll() {
    return this.repository.find();
  }

  findById(id_equipo: number) {
    return this.repository.findOne({ id_equipo }).then((equipo) => {
      if (!equipo) throw new NotFoundException('No existe este equipo');
      return equipo;
    });
  }
}
