import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { InstitucionInfraccionService } from './institucion-infraccion.service';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { InstitucionInfraccionCreateDto } from './dto/institucion-infraccion-create.dto';
import { InstitucionInfraccionUpdateDto } from './dto/institucion-infraccion-update.dto';

@Controller('institucion-infraccion')
export class InstitucionInfraccionController {
  constructor(
    private institucionInfraccionService: InstitucionInfraccionService,
  ) {}

  @Post()
  create(@Body() body: InstitucionInfraccionCreateDto) {
    return this.institucionInfraccionService.create(body.infraccion);
  }

  @Get()
  get() {
    return this.institucionInfraccionService.findAll();
  }

  @Get('institucion_infracciones')
  institucionInfracciones(@Query() query: IdInstitucionDto) {
    return this.institucionInfraccionService.findAllByIdInstitucion(
      Number(query.id_institucion),
    );
  }

  @Put()
  update(@Body() body: InstitucionInfraccionUpdateDto) {
    return this.institucionInfraccionService.update(body);
  }
}
