import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Motivo } from './entity/motivo.entity';
import { EquipoService } from 'src/equipo/equipo.service';
import { OperadorService } from 'src/operador/operador.service';
import { StatusService } from 'src/status/status.service';

@Injectable()
export class MotivoService {
  constructor(
    @InjectRepository(Motivo) private repository: Repository<Motivo>,
    private equipoService: EquipoService,
    private operadorService: OperadorService,
    private statusService: StatusService,
  ) {}

  async create(
    id_equipo: number,
    id_operador: number,
    id_status: number,
    motivo: string,
  ) {
    const equipo = await this.equipoService.findById(id_equipo);
    const operador = await this.operadorService.findById(id_operador);
    const status = await this.statusService.findById(id_status);

    return this.repository.save(
      this.repository.create({
        equipo,
        fecha_creacion: new Date(),
        motivo,
        operador,
        status,
      }),
    );
  }

  findAllIdEquipo(id_equipo: number) {
    return this.equipoService
      .findById(id_equipo)
      .then((equipo) => this.repository.find({ equipo }));
  }
}
