import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { OperadorService } from './operador.service';
import { OperadorCreateDto } from './dto/operador-create.dto';
import { OperadorOperadoresDto } from './dto/operador-operadores.dto';
import { OperadorUpdateDto } from './dto/operador-update.dto';
import { OperadorDto } from './dto/operador.dto';
@Controller('operador')
export class OperadorController {
  constructor(private operadorService: OperadorService) {}

  @Post()
  create(@Body() body: OperadorCreateDto) {
    return this.operadorService.create(
      body.id_institucion,
      body.operador,
      body.password,
    );
  }

  @Get('operador')
  operador(@Query() query: OperadorDto) {
    return this.operadorService.findById(Number(query.id_operador));
  }

  @Get('operadores')
  operadores(@Query() query: OperadorOperadoresDto) {
    return this.operadorService.findAll(query);
  }

  @Get('reporte')
  reporte() {}

  @Put()
  update(@Body() body: OperadorUpdateDto) {
    return this.operadorService.update(body);
  }
}
