import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { CarreraPrograma } from '../../carrera-programa/entity/carrera-programa.entity';
import { Equipo } from '../../equipo/entity/equipo.entity';

@Entity()
export class Programa {
  @PrimaryGeneratedColumn()
  id_programa: number;

  @Column({ type: String, nullable: false, length: 100 })
  programa: string;

  @OneToMany(
    () => CarreraPrograma,
    (carreraPrograma) => carreraPrograma.programa,
  )
  carrerasPrograma: CarreraPrograma[];

  @OneToMany(() => Equipo, (equipo) => equipo.programa)
  equipos: Equipo[];
}
