import { Entity, Column, PrimaryGeneratedColumn, OneToMany } from 'typeorm';
import { Equipo } from '../../equipo/entity/equipo.entity';
import { Motivo } from '../../motivo/entity/motivo.entity';

@Entity()
export class Status {
  @PrimaryGeneratedColumn()
  id_status: number;

  @Column({ type: String, nullable: false, length: 20 })
  status: string;

  @OneToMany(() => Equipo, (equipo) => equipo.status)
  equipos: Equipo[];

  @OneToMany(() => Motivo, (motivo) => motivo.status)
  motivos: Motivo[];
}
